Jump to content
  • 0
Sign in to follow this  
valerie Inshan

I cannot enable shadows!

Question

18 answers to this question

Recommended Posts

  • 0

Hi Val, I think it is more viewer than the configuration of your MAC.  Do you run several viewers?

Your preferences may be different.  I don't know which viewer you are using but I do know that V-2 has several preference options enabled that some (if not all) Pheonix viewers don't by default..........such as "alpha layers" and shadows.  Compare the preferences in your Pheonix viewer to the preferences in your V-2 viewer.

 

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

Thank you Nyll. Sighs. Hopefully the new quadricore Imac I will have in July supports it....The card will be AMD Radeon HD 6770M

full specs are as follows

  • Intel Core i5 quadricœur à 2,7 GHz
  • Résolution 1 920 x 1 080
  • 4 Go de mémoire (2 x 2 Go)
  • Disque dur de 1 To1
  • AMD Radeon HD 6770M
    avec 512 Mo



Share this post


Link to post
Share on other sites
  • 0

I have happily used Pheonix so far Storm, and never could enable shadows. This is such a thrilling option I feel frustrated (you know how a frustrated woman can be a pain, lol). But I will do some avanced tests this week before leaving for holidays! Thank you!

Share this post


Link to post
Share on other sites
  • 0

You're welcome. :) The 6770M should work very well with SL and definitely run Shadows. Shadows does tend to cripple frame rates though, more for photos that general running around.

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

Val. I'm afraid Macs with ATI cards can not do shadows.... :(

Some OpenGL bug that makes the viewer crash, from what I understand. In the latest beta viewer, I don't even think you can enable shadows on Macs with ATI cards. It's listed as a known issue in the release notes for it. I really hope this can be sorted out soon since all macs (well, nearly all) these days have ati cards.

[EDIT] to add. I'm not sure if it is LL or AMD that has to fix the issue.

- Luc -

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

Yes, looks like Luc is right although somewhat strangely, it seems some old ATI cards in Macs can activate shadows as shown here http://yrockett.blogspot.com/2010/07/second-life-shadows-on-mac.html and Strawberry Singh mentions this too on her web site. Perhaps it's old ATI cards with old drivers but no information on that.

The problem is with Macs using newer ATI cards. Make sure hardware skinning is on, Framebuffer Objects is ticked in Develop > Rendering and you are in Ultra mode. If still greyed out, I guess you are out of luck.

LL do work with AMD (ATI) and Nvidia to sort out problems so it seems odd this shadows issue still remains broken with Mac/AMD combinations.

  • Like 1

Share this post


Link to post
Share on other sites
  • 0

It is strange that older cards can do shadows. Does not make a whole lot of sense in a way. I wonder how old the card has to be to get shadows to work?

There seems to be hope, though. In the release notes for 2.7.1 beta, this is mentioned as a Known issue. The jira that mention links to is this one: https://jira.secondlife.com/browse/SH-1618? where it seems shadows are working on ATI card in some development viewer. Perhaps we well see shadows on macs with ATI cards before long. (Fingers crossed!)

Whether this mean Valerie's mac will be able to activate shadows is another question. The Radeon 2400 HD is a few years old, I think?

 

- Luc -

Share this post


Link to post
Share on other sites
  • 0

@Peewee:

Yes, fixed Shadows for AMD/ATI cards in Macs and broke it for AMD/ATI cards in Windows for which it had been working.

http://community.secondlife.com/t5/Viewers/What-happened-to-my-shadows-in-Viewer-2/qaq-p/929531

Lighting and Shadows are greyed out now for me both in Preferences and Develop menu. Works in previous V2 version and in Kirstens S21 (7)a (haven't rried S21 (8) yet.

Share this post


Link to post
Share on other sites
  • 0

Lol yes, expect the unexpected. My driver is at Catalyst 11.5, latest is 11.6 but that just fixed a few issues with a couple of specific games.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...